Update a snapshot

Auth

Updates certain properties of a snapshot.

Required privileges

Cluster privileges manage_ml

Path parameters

job_id string required

Identifier for the anomaly detection job.

snapshot_id string required

Identifier for the model snapshot.

Request body

description string

A description of the model snapshot.

retain boolean · default: false

If true, this snapshot will not be deleted during automatic cleanup of snapshots older than model_snapshot_retention_days. However, this snapshot will be deleted when the job is deleted.

Response

application/json
acknowledged boolean required
model object required
description string

An optional description of the job.

job_id string required

A numerical character string that uniquely identifies the job that the snapshot was created for.

latest_record_time_stamp number

The timestamp of the latest processed record.

latest_result_time_stamp number

The timestamp of the latest bucket result.

min_version string required

The minimum version required to be able to restore the model snapshot.

retain boolean required

If true, this snapshot will not be deleted during automatic cleanup of snapshots older than model_snapshot_retention_days. However, this snapshot will be deleted when the job is deleted. The default value is false.

snapshot_doc_count number required

For internal use only.

snapshot_id string required

A numerical character string that uniquely identifies the model snapshot.

timestamp number required

The creation timestamp for the snapshot.